Staking
Get wallet staking info
Get staking information for a specific wallet address.
GET
/
staking
/
wallet-info
Get wallet staking info
curl --request GET \
--url https://public-api.voyager.online/beta/staking/wallet-info \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/staking/wallet-info"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/staking/wallet-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/staking/wallet-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/staking/wallet-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/staking/wallet-info")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/staking/wallet-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"overview": {
"totalStakedStrk": "<string>",
"totalStakedBtc": "<string>",
"totalRewardsClaimedStrk": "<string>",
"totalRewardsClaimedBtc": "<string>",
"totalRewardsUnclaimedStrk": "<string>",
"totalRewardsUnclaimedBtc": "<string>"
},
"staked": [
{
"tokenAddress": "<string>",
"poolContract": "<string>",
"amount": "<string>",
"formattedTotalAmount": "<string>",
"rewardAddress": "<string>",
"rewardsClaimed": "<string>",
"rewardsUnclaimed": "<string>",
"delegationActivatedAt": 123,
"lastDelegationAt": 123,
"status": "active",
"withdrawalTime": 123,
"unpoolTime": 123,
"validatorRowInfo": {
"address": "<string>",
"totalStakeStrk": "<string>",
"totalStakeBtc": "<string>",
"totalStakePercentageStrk": 123,
"totalStakePercentageBtc": 123,
"totalSelfStake": "<string>",
"totalDelegatedStakeStrk": "<string>",
"totalDelegatedStakeBtc": "<string>",
"totalDelegators": 123,
"revenueShare": 123,
"aprStrk": 123,
"aprBtc": 123,
"rank": "<string>",
"startTime": 123,
"poolInfos": [
{
"tokenAddress": "<string>",
"poolContract": "<string>",
"tokenInfo": {
"tokenAddress": "<string>",
"price": 123,
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"rewardAddress": "<string>"
}
],
"name": "<string>",
"imgSrc": "<string>",
"isVerified": false,
"stakerState": "active",
"withdrawalTime": 123,
"unstakingTime": 123,
"stakerAddress": "<string>",
"liveness": 123,
"livenessAttestedEpochs": 123,
"livenessTotalEpochs": 123,
"livenessLastEpoch": 123,
"liveness90d": 123,
"livenessAttestedEpochs90d": 123,
"livenessTotalEpochs90d": 123,
"livenessLastEpoch90d": 123,
"stakingPowerStrk": 123,
"stakingPowerBtc": 123,
"stakingPower": 123
}
}
]
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Query Parameters
Starknet wallet address (0x-prefixed hex).
Pattern:
^(0x[0-9a-fA-F]{1,66})$⌘I
Get wallet staking info
curl --request GET \
--url https://public-api.voyager.online/beta/staking/wallet-info \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/staking/wallet-info"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/staking/wallet-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/staking/wallet-info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/staking/wallet-info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/staking/wallet-info")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/staking/wallet-info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"overview": {
"totalStakedStrk": "<string>",
"totalStakedBtc": "<string>",
"totalRewardsClaimedStrk": "<string>",
"totalRewardsClaimedBtc": "<string>",
"totalRewardsUnclaimedStrk": "<string>",
"totalRewardsUnclaimedBtc": "<string>"
},
"staked": [
{
"tokenAddress": "<string>",
"poolContract": "<string>",
"amount": "<string>",
"formattedTotalAmount": "<string>",
"rewardAddress": "<string>",
"rewardsClaimed": "<string>",
"rewardsUnclaimed": "<string>",
"delegationActivatedAt": 123,
"lastDelegationAt": 123,
"status": "active",
"withdrawalTime": 123,
"unpoolTime": 123,
"validatorRowInfo": {
"address": "<string>",
"totalStakeStrk": "<string>",
"totalStakeBtc": "<string>",
"totalStakePercentageStrk": 123,
"totalStakePercentageBtc": 123,
"totalSelfStake": "<string>",
"totalDelegatedStakeStrk": "<string>",
"totalDelegatedStakeBtc": "<string>",
"totalDelegators": 123,
"revenueShare": 123,
"aprStrk": 123,
"aprBtc": 123,
"rank": "<string>",
"startTime": 123,
"poolInfos": [
{
"tokenAddress": "<string>",
"poolContract": "<string>",
"tokenInfo": {
"tokenAddress": "<string>",
"price": 123,
"decimals": 123,
"logoUrl": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"rewardAddress": "<string>"
}
],
"name": "<string>",
"imgSrc": "<string>",
"isVerified": false,
"stakerState": "active",
"withdrawalTime": 123,
"unstakingTime": 123,
"stakerAddress": "<string>",
"liveness": 123,
"livenessAttestedEpochs": 123,
"livenessTotalEpochs": 123,
"livenessLastEpoch": 123,
"liveness90d": 123,
"livenessAttestedEpochs90d": 123,
"livenessTotalEpochs90d": 123,
"livenessLastEpoch90d": 123,
"stakingPowerStrk": 123,
"stakingPowerBtc": 123,
"stakingPower": 123
}
}
]
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}